ch.qos.logback.classic.jmx

## Interface JMXConfiguratorMBean

All Known Implementing Classes:
  JMXConfigurator

    public interface JMXConfiguratorMBean

### Method Summary

Methods
`java.lang.String` `getLoggerEffectiveLevel(java.lang.String loggerName)`
`java.lang.String` `getLoggerLevel(java.lang.String loggerName)`
`java.util.List<java.lang.String>` `getLoggerList()`
`java.util.List<java.lang.String>` `getStatuses()`
`void` `reloadByFileName(java.lang.String fileName)`
`void` `reloadByURL(java.net.URL url)`
`void` `reloadDefaultConfiguration()`
`void` `setLoggerLevel(java.lang.String loggerName, java.lang.String levelStr)`

### Method Detail

#### reloadDefaultConfiguration

    void reloadDefaultConfiguration()
                                    throws JoranException

Throws:
  `JoranException`

#### reloadByFileName

    void reloadByFileName(java.lang.String fileName)
                          throws JoranException,
                                 java.io.FileNotFoundException

Throws:
  `JoranException`
  `java.io.FileNotFoundException`

#### reloadByURL

    void reloadByURL(java.net.URL url)
                     throws JoranException

Throws:
  `JoranException`

#### setLoggerLevel

    void setLoggerLevel(java.lang.String loggerName,
                      java.lang.String levelStr)

#### getLoggerLevel

    java.lang.String getLoggerLevel(java.lang.String loggerName)

#### getLoggerEffectiveLevel

    java.lang.String getLoggerEffectiveLevel(java.lang.String loggerName)

#### getLoggerList

    java.util.List<java.lang.String> getLoggerList()

#### getStatuses

    java.util.List<java.lang.String> getStatuses()